Contourner l'erreur « Le fichier Release a expiré » dans APT

Par @Quack1 dans le
Tags : #Linux, #Debian, #Apt, #Job, #planet-libre, #planet-ubuntu,
Partagez cet article! ~ Google+ ~ ~ Linkedin ~ Mail
Flattr this

J'ai quelques billets en cours qui sont juste des petites astuces, relativement faciles à trouver sur Internet, mais que je préfère garder au chaud ici!

Premier truc, concernant apt — le système de gestion de paquets sur Debian, pas les attaques ciblées ;-).

Quand on fait ses mises à jour et installations de paquets depuis des miroirs des dépôts officiels, on peut obtenir l'erreur « E: Release file expired, ignoring http://debian.mirror.localhost/repo_bin/dists/sid/Release (invalid since 14h 31min 45s) », qui est levée si le fichier Release, présent à la racine du dépôt, n'est pas à jour. Ce fichier Release permet de vérifier l'intégrité des paquets téléchargés sur le dépôt.

Si vous n'avez pas la main sur le miroir, mais que vous lui faites quand même confiance et que souhaitez tout de même installer vos paquets depuis cette source, vous pouvez demander à apt de ne pas vérifier la validité du fichier Release :

$ apt-get -o Acquire::Check-Valid-Until=false update

Si vous avez accès à un shell sur la machine qui gère les miroirs, à priori c'est plutôt simple de regénérer le fichier Release, il suffit de recréer le miroir avec un debmirror, mais je n'ai jamais tenté.

 

Via StackExchange Unix

Cet article est libre et diffusé sous une licence Creative Commons CC-BY-NC. Vous pouvez rémunérer son auteur en utilisant le système Flattr :
Flattr this

Comments !